Bug 487174 - Clear filter on package install screen submits form
Clear filter on package install screen submits form
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
John Matthews
: Triaged
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-02-24 11:42 EST by Justin Sherrill
Modified: 2009-09-10 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-02-24 11:42:47 EST
Go to Systems-> Click on a system->software->packages->install

Filter on something that would return a result.  Check at least one item in the filtered list.  Click 'clear filter'.


Actual results:  The page is submitted, and you are asked to confirm your selection.


Expected results:  The list should be unflitered with your previous selections still selected.
Comment 1 Justin Sherrill 2009-02-24 15:05:29 EST
commit	073d0cd8b312f4ebb7e44e793315049061a623d2

tree	4e724c7cd6a69f9f594f3a242198f9573604ef9e	tree | snapshot

parent	38ed8eb743ac9f481f589837f67f015d26c7bd4f	commit | diff
Comment 2 John Matthews 2009-03-23 17:17:29 EDT
Verified
ISO:  Satellite-5.3.0-RHEL5-re20090323.0-i386-embedded-oracle.iso
Comment 3 John Sefler 2009-08-28 12:52:03 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

Clicking the "Clear Filter" link now repopulates all results with the selected checkboxes still checked.

moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 16:33:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.